| OLD | NEW |
| 1 #!/bin/bash | 1 #!/bin/bash |
| 2 | 2 |
| 3 # Copyright (c) 2009 The Chromium OS Authors. All rights reserved. | 3 # Copyright (c) 2009 The Chromium OS Authors. All rights reserved. |
| 4 # Use of this source code is governed by a BSD-style license that can be | 4 # Use of this source code is governed by a BSD-style license that can be |
| 5 # found in the LICENSE file. | 5 # found in the LICENSE file. |
| 6 | 6 |
| 7 # Script to modify a keyfob-based chromeos system image for testability. | 7 # Script to modify a keyfob-based chromeos system image for testability. |
| 8 | 8 |
| 9 # Load common constants. This should be the first executable line. | 9 # Load common constants. This should be the first executable line. |
| 10 # The path to common.sh should be relative to your script's location. | 10 # The path to common.sh should be relative to your script's location. |
| (...skipping 14 matching lines...) Expand all Loading... |
| 25 "Modify the image for factory install shim" | 25 "Modify the image for factory install shim" |
| 26 DEFINE_string image "" "Location of the rootfs raw image file" i | 26 DEFINE_string image "" "Location of the rootfs raw image file" i |
| 27 DEFINE_boolean installmask $FLAGS_TRUE \ | 27 DEFINE_boolean installmask $FLAGS_TRUE \ |
| 28 "Use INSTALL_MASK to shrink the resulting image." m | 28 "Use INSTALL_MASK to shrink the resulting image." m |
| 29 DEFINE_integer jobs -1 \ | 29 DEFINE_integer jobs -1 \ |
| 30 "How many packages to build in parallel at maximum." j | 30 "How many packages to build in parallel at maximum." j |
| 31 DEFINE_string qualdb "" "Location of qualified component file" d | 31 DEFINE_string qualdb "" "Location of qualified component file" d |
| 32 DEFINE_boolean yes $FLAGS_FALSE "Answer yes to all prompts" y | 32 DEFINE_boolean yes $FLAGS_FALSE "Answer yes to all prompts" y |
| 33 DEFINE_string build_root "/build" \ | 33 DEFINE_string build_root "/build" \ |
| 34 "The root location for board sysroots." | 34 "The root location for board sysroots." |
| 35 DEFINE_boolean fast ${FLAGS_FALSE} "Call many emerges in parallel" | 35 DEFINE_boolean fast ${DEFAULT_FAST} "Call many emerges in parallel" |
| 36 | 36 |
| 37 | 37 |
| 38 # Parse command line | 38 # Parse command line |
| 39 FLAGS "$@" || exit 1 | 39 FLAGS "$@" || exit 1 |
| 40 eval set -- "${FLAGS_ARGV}" | 40 eval set -- "${FLAGS_ARGV}" |
| 41 | 41 |
| 42 EMERGE_CMD="emerge" | 42 EMERGE_CMD="emerge" |
| 43 EMERGE_BOARD_CMD="emerge-${FLAGS_board}" | 43 EMERGE_BOARD_CMD="emerge-${FLAGS_board}" |
| 44 if [ "${FLAGS_fast}" -eq "${FLAGS_TRUE}" ]; then | 44 if [ "${FLAGS_fast}" -eq "${FLAGS_TRUE}" ]; then |
| 45 echo "Using alternate emerge" | 45 echo "Using alternate emerge" |
| (...skipping 179 matching lines...) Expand 10 before | Expand all | Expand 10 after Loading... |
| 225 bash | 225 bash |
| 226 popd | 226 popd |
| 227 fi | 227 fi |
| 228 | 228 |
| 229 cleanup | 229 cleanup |
| 230 | 230 |
| 231 print_time_elapsed | 231 print_time_elapsed |
| 232 | 232 |
| 233 trap - EXIT | 233 trap - EXIT |
| 234 | 234 |
| OLD | NEW |